<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
<title>Kuchen bearbeiten</title>
</head>
<body>

<%--Aufgrund von Problemen beim Bearbeiten der Zutat muss ich mich hier in die Verarbeitungsphasen der JSF einklinken ! --%>
<f:view beforePhase="#{kuchenDetailHandler.beforePhase}">
  <h:form id="formnavigation">
    <%--KuchenID mitfhren, damit Postback des Formulars klappt (ruft Zutatenliste ab)! --%>
    <h:inputHidden id="kuchenId" value="#{kuchenDetailHandler.kuchenId}"></h:inputHidden>
    
    <%--Bei diesem Navigationslink kann ich direkt die Action als String setzen --%>
    <h:commandLink id="navigationkuchenliste" value="Zur Kuchenliste" action="kuchenliste"></h:commandLink>
  </h:form>
  <h:form id="formkuchen">
    <%-- Die Kuchen-ID muss mitgefhrt werden --%>
    <h:inputHidden id="kuchenId" value="#{kuchenDetailHandler.kuchenId}"></h:inputHidden>
    
    <h:panelGrid columns="3">
      <h:outputText value="ID"></h:outputText>
      <h:outputText value="#{kuchenDetailHandler.kuchenId}"></h:outputText>
      <h:outputText value=""></h:outputText>

      <h:outputText value="Name"></h:outputText>
      <h:inputText label="Name" id="name" value="#{kuchenDetailHandler.name}" required="true">
        <f:validateLength minimum="5"></f:validateLength>
      </h:inputText>
      <h:message for="name"></h:message>
    </h:panelGrid>
    
    <h:commandButton id="kuchensave" action="#{kuchenDetailHandler.kuchenSave}" value="OK"></h:commandButton>
    <%--Platzhalter um die Zeile zu fllen. --%>
    <h:outputText value=""></h:outputText> 
    <h:outputText value=""></h:outputText>
  </h:form>
  
  <%--Zutat-Elemente nur ausgeben wenn Kuchen nicht neu ist: --%>
  <c:if test="${kuchenDetailHandler.kuchenId != 0}">
    <%--In einem DataTable mit vier Spalten die Zutaten ausgeben. Aktuelles Element in Variable "zutatAktuell" packen
        Der DataTable bentigt eine ID (siehe KuchenDetailHandler.beforePhase !) --%>
    <h:dataTable id="tablezutaten" value="#{kuchenDetailHandler.zutaten}" var="zutatAktuell">
      <h:column>
        <f:facet name="header">
          <h:outputText value="ID" />
        </f:facet>
        <h:outputText id="kuchenid" value="#{zutatAktuell.id}"></h:outputText>
      </h:column>
      <h:column>
        <f:facet name="header">
          <h:outputText value="Name" />
        </f:facet>
        <h:outputText id="name" value="#{zutatAktuell.zutatName}"></h:outputText>
      </h:column>
      <h:column>
        <f:facet name="header">
          <h:outputText value="Menge" />
        </f:facet>
        <h:outputText id="menge" value="#{zutatAktuell.menge}"></h:outputText>
      </h:column>
      <h:column>
        <f:facet name="header">
          <h:outputText value="Bearbeiten" />
        </f:facet>
        
        <%--Das Form bentigt eine ID da ich in der beforePhase darauf zugreife --%>
        <h:form id="formzutatedit">
          <%--Da neues Subform muss die KuchenId hier mitgefhrt werden !
              Das Value Binding an den KuchenDetailHandler strt uns nicht weiter...--%>
          <h:inputHidden id="kuchenId" value="#{kuchenDetailHandler.kuchenId}"></h:inputHidden>
          
          <%-- Bearbeiten-Link, fhrt auf den ZutatDetailHandler.  --%>
          <h:commandLink id="zutatedit" action="#{zutatDetailHandler.editZutat}"
            actionListener="#{zutatDetailHandler.selectKuchenZutat}" value="Bearbeiten">
            <%--Hier mssen KuchenID und ZutatID bergeben werden. Die KuchenID wird per HiddenField bergeben da der beforePhase-Handler sie abgreifen muss ! --%>
            <%--<f:param id="kuchenId" value="#{kuchenDetailHandler.kuchenId}"></f:param> --%>
            <f:param id="zutatId" value="#{zutatAktuell.id}"></f:param>
          </h:commandLink>
        </h:form>
      </h:column>
      <h:column>
        <f:facet name="header">
          <h:outputText value="Lschen" />
        </f:facet>
        
        <%--Das Form bentigt eine ID da ich in der beforePhase darauf zugreife --%>
        <h:form id="formzutatdelete">
          <%-- Lschen-Link, fhrt auf den ZutatDetailHandler.  --%>
          <h:inputHidden id="kuchenId" value="#{kuchenDetailHandler.kuchenId}"></h:inputHidden>
          
          <h:commandLink id="zutatdelete" action="#{zutatDetailHandler.deleteZutat}"
            actionListener="#{zutatDetailHandler.selectKuchenZutat}" value="Lschen">
            <%--Hier mssen KuchenID und ZutatID bergeben werden. Die KuchenID wird per HiddenField bergeben da der beforePhase-Handler sie abgreifen muss ! --%>
            <f:param id="zutatId" value="#{zutatAktuell.id}"></f:param>
          </h:commandLink>
        </h:form>
      </h:column>
    </h:dataTable>
    
    <h:form id="formzutatneu">
      <%--Da neues Subform muss die KuchenId hier mitgefhrt werden !
          Das Value Binding an den KuchenDetailHandler strt uns nicht weiter...--%>
      <h:inputHidden id="kuchenId" value="#{kuchenDetailHandler.kuchenId}"></h:inputHidden>
         
      <h:commandButton id="zutatneu" action="#{zutatDetailHandler.neuZutat}" actionListener="#{zutatDetailHandler.selectKuchen}" value="Zutat erstellen">
        <%--Hier muss die KuchenID bergeben werden. Die KuchenID kommt aus der Managed Bean --%>
        <%-- <f:param id="kuchenId" value="#{kuchenDetailHandler.kuchenId}"></f:param> --%>
      </h:commandButton>
    </h:form>
  </c:if>
</f:view>
</body>
</html>
