<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
<title>Kuchen-Liste</title>
</head>
<body>

<f:view>
  <%--In einem DataTable mit drei Spalten die Kuchen ausgeben. Aktuelles Element in Variable "kuchenAktuell" packen --%>
  <h:dataTable id="tablekuchen" value="#{kuchenListeHandler.kuchenGesamt}" var="kuchenAktuell">
    <h:column>
      <f:facet name="header">
        <h:outputText value="ID"/>
      </f:facet>
      <h:outputText id="kuchenid" value="#{kuchenAktuell.id}"></h:outputText> 
    </h:column>
    <h:column>
      <f:facet name="header">
        <h:outputText value="Kuchen"/>
      </f:facet>
      <h:outputText id="name" value="#{kuchenAktuell.name}"></h:outputText>
    </h:column>
    <h:column>
      <f:facet name="header">
        <h:outputText value="Bearbeiten"/>
      </f:facet>
     
      <h:form id="formkuchenedit">
        <%-- Bearbeiten-Link, fhrt auf den KuchenDetailHandler. 
        Dem KuchenDetailHandler MUSS die ID des aktuellen Kuchens per Parameter mitgeteilt werden.
        Dafr kann ich leider keine Wertbindung definieren (aktueller Wert kommt aus einer Schleifenvariable, wird gesetzt in anderen Bean),
        deshalb einen "actionListener" definieren (eine Methode die vor der Ausfhrung der eigentlichen "action" aufgerufen wird
        und die die Mglichkeit hat Parameter anderer Elemente auszulesen (hier: der Wert des Elements "kuchenId")  --%>
        <h:commandLink id="kuchenedit" action="#{kuchenDetailHandler.editKuchen}" actionListener="#{kuchenDetailHandler.selectKuchen}"  value="Bearbeiten" >
          <f:param id="kuchenId" value="#{kuchenAktuell.id}"></f:param>
        </h:commandLink>
      </h:form>
    </h:column>
    
    <h:column>
      <%--Lschen-Link --%>
      <f:facet name="header">
        <h:outputText value="Lschen" />
      </f:facet>
      
      <h:form id="formkuchendelete">
        <h:commandLink id="kuchendelete" action="#{kuchenDetailHandler.deleteKuchen}" actionListener="#{kuchenDetailHandler.selectKuchen}"  value="Lschen" >
          <f:param id="kuchenId" value="#{kuchenAktuell.id}"></f:param>
        </h:commandLink>
      </h:form>
    </h:column>
    
  </h:dataTable>
  
  <h:form id="formkuchenneu">
    <h:commandButton id="kuchenneu" action="#{kuchenDetailHandler.neuKuchen}" value="Neuer Kuchen"></h:commandButton>
  </h:form>
</f:view>
</body>
</html>