<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
<title>Zutat bearbeiten</title>
</head>
<body>

<%-- Wenn es einen Validierungsfehler gibt, muss die Zutat-ID in die BackingBean gepackt werden.--%>
<f:view beforePhase="#{zutatDetailHandler.beforePhase}">
  <h:form id="formnavigation">
    
    <%--Kuchen-ID ist im KuchenDetailHandler bentigt bei der Navigation auf KuchenDetail! --%>
    <h:inputHidden id="kuchenId" value="#{zutatDetailHandler.kuchenId}"></h:inputHidden>
    
    <%--Bei diesen Navigationslinks kann ich direkt die Action als String setzen --%>
    <h:commandLink id="navigationkuchenliste" value="Zur Kuchenliste" action="kuchenliste"></h:commandLink>
    <%--Der Link zum Kuchen braucht die KuchenID als Parameter. Die kommt als HiddenField (siehe oben)
        aus dem ZutatDetailHandler ! --%>
    <h:commandLink id="navigationkuchendetail" value="Zum Kuchen" action="kuchendetail" actionListener="#{kuchenDetailHandler.selectKuchen}">
    </h:commandLink>
  </h:form>
  
  <h:form id="formzutatedit">
    <h:panelGrid columns="3">
      <%-- Die Kuchen-ID muss mitgefhrt werden --%>
      <h:inputHidden id="kuchenId" value="#{zutatDetailHandler.kuchenId}"></h:inputHidden>
      <%-- Dito fr die ZutatID --%>
      <h:inputHidden id="zutatId" value="#{zutatDetailHandler.zutatId}"></h:inputHidden>
      <h:outputText value=""></h:outputText>
      

      <h:outputText value="ID"></h:outputText>
      <h:outputText value="#{zutatDetailHandler.zutatId}"></h:outputText>
      <h:outputText value=""></h:outputText>
      
      <h:outputText value="Name"></h:outputText>
      <h:inputText label="Name" id="name" value="#{zutatDetailHandler.zutatName}" required="true">
      </h:inputText>
      <h:message for="name"></h:message>

      <h:outputText value="Menge"></h:outputText>
      <h:inputText label="Menge" id="menge" value="#{zutatDetailHandler.menge}" required="true">
      </h:inputText>
      <h:message for="menge"></h:message>

      <%--OK-Button. Da es danach zur "kuchendetail"-Seite geht wird die
          KuchenID schon mal dorthin bergeben (ber den actionListener !).
          Dies geht ber das HiddenField des Forms, siehe oben ! --%>
      <h:commandButton id="zutatsave" action="#{zutatDetailHandler.zutatSave}" 
        actionListener="#{kuchenDetailHandler.selectKuchen}" value="OK">
      </h:commandButton>

    </h:panelGrid>
  </h:form>
</f:view>
</body>
</html>
